| Home | Libraries | People | FAQ | More

### use_service

    template<
        typename Service>
    Service & use_service(
        io_service & ios);

This function is used to locate a service object that corresponds to the given service type. If there is no existing implementation of the service, then the io_service will create a new instance of the service.

##### Parameters

ios

  The io_service object that owns the service.

##### Return Value

The service interface implementing the specified service type. Ownership of the service interface is not transferred to the caller.